#!/bin/sh

for file in *.[ch]
do
	ln -sf ../src/$file	../build-x86/$file
	ln -sf ../src/$file	../build-arm/$file
done

for file in *.query
do
	ln -sf ../src/$file	../build-x86/$file
	ln -sf ../src/$file	../build-arm/$file
done

for file in *.conf
do
	ln -sf ../src/$file	../build-x86/$file
	ln -sf ../src/$file	../build-arm/$file
done

ln -sf ../src/Makefile.x86	../build-x86/Makefile
ln -sf ../src/Makefile.arm	../build-arm/Makefile
ln -sf ../src/Makefile.common	../build-x86/Makefile.common
ln -sf ../src/Makefile.common	../build-arm/Makefile.common
