/* 
 * some utility functions
 *
 * Choi Jonghwan <saxboy@freechal.com>
 */
#include <gnome.h>

#ifndef __UTIL_H__
#define __UTIL_H__
		
int file_Exist(const char *filename); 
GtkWidget *gtk_button_new_with_imagefile(gchar *imgfile); 
GtkWidget *get_picture_pixmap( const char *imgfile); 
GtkWidget *get_picture_pixmap_with_size( const char *imgfile, int w, int h); 
void show_message(gchar *message); 
gchar *get_selected_chars(GtkWidget *widget); 
int execute_command_background(const char *command, pid_t *pid_ptr); 

void _confirm_no_blanks(char *buf, int len); 

int parse_gnome_desktop_file(
		const char *file, 
		char *iconpath, int iconpath_len, 
		char *execpath, int execpath_len); 

int show_yes_no_dialog( GtkWindow *window, char *title, char *message); 

#ifdef RELEASE
	#define DBG	if (0) printf
	#define DBG_PRINT_CUR_FUNC	
#else
	#define DBG	printf
	#define DBG_PRINT_CUR_FUNC	printf("%s\n", __FUNCTION__)
#endif

#endif /* __UTIL_H__ */

