/*
 * yopytoday
 *
 * Choi Jonghwan <saxboy@freechal.com>
 * 2002/04/10
 */
#ifndef __YOPYTODAY_H__
#define __YOPYTODAY_H__

typedef struct __YOPYTODAY *YOPYTODAY; 

YOPYTODAY yopytoday_New(void);
int yopytoday_Delete(YOPYTODAY yt);
int yopytoday_ReadConfiguration(YOPYTODAY yt, const char *configfile);
int yopytoday_ScanPlugin(YOPYTODAY yt, const char *dir);
int yopytoday_RegisterPlugin(YOPYTODAY yt, const char *plugin_path);
int yopytoday_UnregisterPluginAll(YOPYTODAY yt);
int yopytoday_Resize(YOPYTODAY yt);
int yopytoday_SetBackground(YOPYTODAY yt, const char *bgfile);
int yopytoday_Show(YOPYTODAY yt);

#endif /* __YOPYTODAY_H__ */



