/* 
 * yopytoday plugin 
 *
 * Choi Jonghwan <saxboy@freechal.com>
 * 2002/04/10
 */

#include <gnome.h>

#ifndef __YTPLUGIN_H__
#define __YTPLUGIN_H__

typedef struct __YT_PLUGIN {

	char *name; 
	char *version; 
	char *author; 
	char *author_url; 
	char *author_email; 
	char *date; 

	char *iconpath; 

	int update_delay; 	/* update delay in 1/1000 sec */

	int res_x_request; 
	int res_y_request; 

	void (*yt_plugin_initialize)(void); 
	void (*yt_plugin_finalize)(void); 
	void (*yt_plugin_update)(void); 
	GtkWidget *(*yt_plugin_get_window)(void); 
	GtkWidget *(*yt_plugin_get_config_window)(void); 

	/* internal variables, should be set to NULL */
	char *path; 

} _YT_PLUGIN; 
typedef _YT_PLUGIN *YT_PLUGIN; 

#endif /* __YTPLUGIN_H__ */

